Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.mdxparse
Class Parameter

    java.lang.Object
      com.tonbeller.jpivot.olap.mdxparse.Parameter

    public class Parameter

extends java.lang.Object

Field Summary
`static int` | `TYPE_MEMBER`
`static int` | `TYPE_NUMERIC`
`static int` | `TYPE_STRING`

Constructor Summary
`Parameter(java.lang.String name, int type, int iAxis)`

Method Summary
`java.lang.String` | `getDescription()`
`int` | `getIAxis()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getOValue()`
`int` | `getType()`
`void` | `setDescription(java.lang.String description)`
`void` | `setOValue(java.lang.Object object)` set the value object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NUMERIC

    public static final int TYPE_NUMERIC

See Also:
  Constant Field Values

### TYPE_STRING

    public static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_MEMBER

    public static final int TYPE_MEMBER

See Also:
  Constant Field Values

Constructor Detail

### Parameter

    public Parameter(java.lang.String name,
                     int type,
                     int iAxis)

Method Detail

### getOValue

    public java.lang.Object getOValue()

  Returns:
    the value object

### setOValue

    public void setOValue(java.lang.Object object)

  set the value object

  Parameters:
    `object` - value

### getType

    public int getType()

  Returns:
    parameter type

### getName

    public java.lang.String getName()

  Returns:
    parameter's name

### getDescription

    public java.lang.String getDescription()

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` -

### getIAxis

    public int getIAxis()

  Returns:
    index of axis, negative if not on any axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD